Retrieves a specific incident_role by id
curl --request GET \
--url https://api.rootly.com/v1/incident_roles/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3839e3fb-b117-4860-844a-a7e66d9ad5ea",
"type": "incident_roles",
"attributes": {
"slug": "inventore-harum-quasi-placeat",
"name": "Inventore harum quasi placeat.",
"summary": null,
"description": null,
"position": 1,
"optional": false,
"enabled": true,
"allow_multi_user_assignment": false,
"created_at": "2026-01-23T22:58:15.463-08:00",
"updated_at": "2026-01-23T22:58:15.463-08:00"
}
}
}Was this page helpful?
curl --request GET \
--url https://api.rootly.com/v1/incident_roles/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3839e3fb-b117-4860-844a-a7e66d9ad5ea",
"type": "incident_roles",
"attributes": {
"slug": "inventore-harum-quasi-placeat",
"name": "Inventore harum quasi placeat.",
"summary": null,
"description": null,
"position": 1,
"optional": false,
"enabled": true,
"allow_multi_user_assignment": false,
"created_at": "2026-01-23T22:58:15.463-08:00",
"updated_at": "2026-01-23T22:58:15.463-08:00"
}
}
}